WinCrypt.CRYPT_KEY_PROV_PARAM (JNA API)

com.sun.jna.platform.win32

## Class WinCrypt.CRYPT_KEY_PROV_PARAM

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CRYPT_KEY_PROV_PARAM

- Direct Known Subclasses:
    WinCrypt.CRYPT_KEY_PROV_PARAM.ByReference
  Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"dwParam","pbData","cbData","dwFlags"})
      public static class WinCrypt.CRYPT_KEY_PROV_PARAM
      extends Structure

  The CRYPT_KEY_PROV_PARAM structure contains information about a key container parameter. This structure is used with the CRYPT_KEY_PROV_INFO structure.
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CRYPT_KEY_PROV_PARAM.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cbData`
    `int` | `dwFlags`
    `int` | `dwParam`
    `Pointer` | `pbData`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRYPT_KEY_PROV_PARAM()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwParam

          public int dwParam

    - #### pbData

          public Pointer pbData

    - #### cbData

          public int cbData

    - #### dwFlags

          public int dwFlags

  - ### Constructor Detail

    - #### CRYPT_KEY_PROV_PARAM

          public CRYPT_KEY_PROV_PARAM()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.